Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.kems.mlkem
Class MLKEMEngine

    java.lang.Object
      org.bouncycastle.crypto.kems.mlkem.MLKEMEngine

public class MLKEMEngine
extends java.lang.Object

Field Summary
`static int` | `SeedBytes`
`static int` | `SymBytes`

Method Summary
`boolean` | `checkModulus(byte[] t)`
`boolean` | `checkPrivateKey(byte[] encoding)`
`byte[][]` | `generateKemKeyPair(java.security.SecureRandom random)`
`byte[][]` | `generateKemKeyPairInternal(byte[] d, byte[] z)`
`int` | `getCipherTextBytes()`
`int` | `getIndCpaPublicKeyBytes()`
`int` | `getIndCpaSecretKeyBytes()`
`static MLKEMEngine` | `getInstance(MLKEMParameters mlkemParameters)`
`int` | `getPolyVecBytes()`
`byte[]` | `kemDecrypt(MLKEMPrivateKeyParameters privateKey, byte[] cipherText)`
`byte[][]` | `kemEncrypt(MLKEMPublicKeyParameters publicKey, byte[] randBytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SymBytes

    public static final int SymBytes

See Also:
  Constant Field Values

### SeedBytes

    public static final int SeedBytes

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static MLKEMEngine getInstance(MLKEMParameters mlkemParameters)

### getCipherTextBytes

    public int getCipherTextBytes()

### getIndCpaPublicKeyBytes

    public int getIndCpaPublicKeyBytes()

### getIndCpaSecretKeyBytes

    public int getIndCpaSecretKeyBytes()

### getPolyVecBytes

    public int getPolyVecBytes()

### checkModulus

    public boolean checkModulus(byte[] t)

### checkPrivateKey

    public boolean checkPrivateKey(byte[] encoding)

### generateKemKeyPair

    public byte[][] generateKemKeyPair(java.security.SecureRandom random)

### generateKemKeyPairInternal

    public byte[][] generateKemKeyPairInternal(byte[] d,
                                               byte[] z)

### kemEncrypt

    public byte[][] kemEncrypt(MLKEMPublicKeyParameters publicKey,
                               byte[] randBytes)

### kemDecrypt

    public byte[] kemDecrypt(MLKEMPrivateKeyParameters privateKey,
                             byte[] cipherText)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD